import fs from "node:fs";

// 获取命令行参数，忽略前两个默认参数（node路径和脚本路径）
const args = process.argv.slice(2);

// 如果参数数量不等于1，退出程序（返回错误码1）
if (args.length !== 1) {
    process.exit(1);
}

// 根据参数执行不同的文件操作
switch (args[0]) {
    case "b2f": //backend to frontend - 将后端文件复制到前端目录
        fs.renameSync("./backend/dist/core.exe", "./front/src-tauri/binaries/core-x86_64-pc-windows-msvc.exe");
        break;
        
    case "b2r": //build to root - 将构建的安装程序移动到项目根目录
        fs.renameSync("./front/src-tauri/target/release/bundle/nsis/DeEarthX-V3_0.1.0_x64-setup.exe", "./DeEarthX-V3_x64-setup.exe");
        break;
}